function [] = exportData(x,t,samples,name,dir)
%[] = EXPORTDATA(x,t,samples,name,dir)
%EXPORTDATA zapíše dáta do textového súboru v príslušnom formáte
%Vstupy:    x - dáta vo forme matice, kde riadky odpovedajú
%           jednotlivým meraniam
%           t - riadkový vektor časových údajov
%           samples - pomocný bool odkaz k zapisovaniu do súboru,
%           rozdelujeme, ak nemáme záznamy o teplote - voliť '1'
%           name - názov exportovaného súboru
%           dir - cesta k zložke, kam sa vypíšu dáta

if nargin < 5
    prompt = {'Zadaj cestu zložky na uloženie dát'};
    title = 'Uloženie dát';
    dims = [1 35];
    dir = char(inputdlg(prompt,title,dims));
end
if nargin < 4
    prompt = {'Zadaj názov súboru'};
    title = 'Uloženie dát';
    dims = [1 35];
    nam = char(inputdlg(prompt,title,dims));
    name = sprintf('%s.txt',nam);
end

%% CESTA ZAPISNEHO SUBORU

oldpath = pwd;
try
    cd(dir)
catch
    error('Nepodarilo sa nájsť zložku');
end

try
    fileID = fopen(name,'wt');
catch
    error('Skontroluj formát názvu súboru');
end
yw = x';

%% CASOVE ZAZNAMY

t=t';

try
    if samples
       fprintf(fileID,'Sample[-]\t'); 
    else
       fprintf(fileID,'Time[s]\t'); 
    end

    for i = 1:size(yw,2)-1
       fprintf(fileID,'T%d\t',i); 
    end

    fprintf(fileID,'T%d\n',size(yw,2));

    %% ZAPIS ZVYSNYCH DAT

    for i = 1:size(yw,1)
        if samples
            fprintf(fileID,'%u\t',t(i,1));
        else
            fprintf(fileID,'%f\t',t(i,1));
        end
        fprintf(fileID,'%7f\t',yw(i,1:end-1));
        fprintf(fileID,'%7f\n',yw(i,end));
    end
catch
    fclose(fileID);
    cd(oldpath);
    error('Stala sa chyba');
end
fclose(fileID);
cd(oldpath);

end

